package de.stoermer.xxx.domain.aufgaben;

import java.util.Random;

import de.stoermer.xxx.domain.Spieler;

public class AlleLocksVerlaengern extends Aufgabe {

	private static final String TEXT = "$SPIELER2, du entscheidest. Sollen alle bestehnden Zeitstrafen von $SPIELER1 verlängert werden...?";
	
	public AlleLocksVerlaengern(Spieler bestraftePerson, Spieler bestrafendePerson) {
		super(bestraftePerson, bestrafendePerson, TEXT);
	}
	
	@Override
	public Timer getTimer() {
		return null;
	}

	@Override
	public void abbrechen() {
		// Nix zu tun.
	}

	@Override
	public void ok() {
		int times = new Random().nextInt(2, 4);
		getSpieler1().lockVerlaengern(times);
	}
}
